#include <iostream>
#include <conio.h>
#include "design.h"
using namespace std;

// prototipi delle procedure
void menu();
void instruction();

int main() 
{
    char pick;
    design paint;
    string fname, file_name;
    
    do {
        system("color 0F");
        menu(); // stampo il menu a video
        // l'utente preme un tasto finch non ne preme uno dei seguenti
        do { pick = getch(); } while(pick!=49 && pick!=50 && pick!=51 && pick!=27);
        
        // in base al tasto premuto viene eseguita un'istruzione diversa
        switch (pick) {
               case 49: // disegna
                    system("cls");
                    paint.draw();
                    break;
               case 50: // apri disegno
                    cout <<"\n\nInserisci nome del disegno da aprire: ";
                    cin >> fname;
                    file_name = "../Pics/" + fname + ".dat";
                    paint.load(file_name.c_str());
                    break;
               case 51: // stampa istruzioni
                    instruction();
                    break;
                    }
        system("cls");
        // se il tasto premuto  stato "Esc" esco dal ciclo e chiude il programma
        } while(pick != 27);
        
    return 0;
}

void menu()
{
     cout <<"\n\t\tDOS Designer version 1.2\n";
     cout <<"\t\tCopyright NIW 2011\n\n";
     cout <<"\t!per disegnare le proprie schermate DOS!\n";
     cout <<"\n MENU':\n";
     cout <<"\n 1)   Disegna\n";
     cout <<"\n 2)   Apri disegno\n";
     cout <<"\n 3)   Istruzioni\n";
     cout <<"\n Esc) Esci\n";
}

void instruction()
{
     cout <<"\n\nISTRUZIONI:\n";
     cout <<"\n W,A,S,D   movimenti\n";
     cout <<"\n     I,K   cambia colore carattere\n";
     cout <<"\n     J,L   cambia colore di sfondo del carattere\n";
     cout <<"\n     Q,E   cambia carattere\n";
     cout <<"\n  SPAZIO   cancella disegno\n";
     cout <<"\n       1   attiva/disattiva matita\n";
     cout <<"\n       2   attiva/disattiva gomma\n";
     cout <<"\n       3   attiva/disattiva modalita' scrittura\n";
     cout <<"\n       0   salva disegno\n";
     cout <<"\n     ESC   esci\n";
     system("pause>nul");
}
